package physbeans.phys;

/**
 * A LightSource whose rays can be defined externally.
 */
public class GenericLightSource extends LightSource {
  
  /** Creates a new instance of GenericLightSource */
  public GenericLightSource() {
    super();
  }
  
  /**
   * Sets the light rays of the light source.
   */
  public void setRays(LightRayBundle rays) {
    this.rays = rays;
    trigger();
  }
  
  protected void computeRays() {
    // does nothing: the rays are given externally
  }
  
}
