/*
 * PerfectGasBeanInfo.java
 *
 * Created on 1. November 2004, 09:01
 */

package physbeans.phys;

import java.beans.*;

/**
 * @author peter
 */
public class PerfectGasBeanInfo extends SimpleBeanInfo {
  
    // Bean descriptor//GEN-FIRST:BeanDescriptor
    /*lazy BeanDescriptor*/
    private static BeanDescriptor getBdescriptor(){
        BeanDescriptor beanDescriptor = new BeanDescriptor  ( physbeans.phys.PerfectGas.class , null ); // NOI18N//GEN-HEADEREND:BeanDescriptor
    
    // Here you can add code for customizing the BeanDescriptor.
    
        return beanDescriptor;     }//GEN-LAST:BeanDescriptor
  
  
    // Property identifiers//GEN-FIRST:Properties
    private static final int PROPERTY_autoReset = 0;
    private static final int PROPERTY_CP = 1;
    private static final int PROPERTY_CV = 2;
    private static final int PROPERTY_enthalpy = 3;
    private static final int PROPERTY_entropy = 4;
    private static final int PROPERTY_heat = 5;
    private static final int PROPERTY_innerEnergy = 6;
    private static final int PROPERTY_kappa = 7;
    private static final int PROPERTY_mass = 8;
    private static final int PROPERTY_molarMass = 9;
    private static final int PROPERTY_pressure = 10;
    private static final int PROPERTY_s0 = 11;
    private static final int PROPERTY_technicalWork = 12;
    private static final int PROPERTY_temperature = 13;
    private static final int PROPERTY_u0 = 14;
    private static final int PROPERTY_volume = 15;
    private static final int PROPERTY_work = 16;

    // Property array 
    /*lazy PropertyDescriptor*/
    private static PropertyDescriptor[] getPdescriptor(){
        PropertyDescriptor[] properties = new PropertyDescriptor[17];
    
        try {
            properties[PROPERTY_autoReset] = new PropertyDescriptor ( "autoReset", physbeans.phys.PerfectGas.class, "isAutoReset", "setAutoReset" ); // NOI18N
            properties[PROPERTY_CP] = new PropertyDescriptor ( "CP", physbeans.phys.PerfectGas.class, "getCP", null ); // NOI18N
            properties[PROPERTY_CP].setHidden ( true );
            properties[PROPERTY_CV] = new PropertyDescriptor ( "CV", physbeans.phys.PerfectGas.class, "getCV", null ); // NOI18N
            properties[PROPERTY_CV].setHidden ( true );
            properties[PROPERTY_enthalpy] = new PropertyDescriptor ( "enthalpy", physbeans.phys.PerfectGas.class, "getEnthalpy", null ); // NOI18N
            properties[PROPERTY_enthalpy].setHidden ( true );
            properties[PROPERTY_entropy] = new PropertyDescriptor ( "entropy", physbeans.phys.PerfectGas.class, "getEntropy", null ); // NOI18N
            properties[PROPERTY_entropy].setHidden ( true );
            properties[PROPERTY_heat] = new PropertyDescriptor ( "heat", physbeans.phys.PerfectGas.class, "getHeat", null ); // NOI18N
            properties[PROPERTY_heat].setHidden ( true );
            properties[PROPERTY_innerEnergy] = new PropertyDescriptor ( "innerEnergy", physbeans.phys.PerfectGas.class, "getInnerEnergy", null ); // NOI18N
            properties[PROPERTY_innerEnergy].setHidden ( true );
            properties[PROPERTY_kappa] = new PropertyDescriptor ( "kappa", physbeans.phys.PerfectGas.class, "getKappa", "setKappa" ); // NOI18N
            properties[PROPERTY_mass] = new PropertyDescriptor ( "mass", physbeans.phys.PerfectGas.class, "getMass", "setMass" ); // NOI18N
            properties[PROPERTY_molarMass] = new PropertyDescriptor ( "molarMass", physbeans.phys.PerfectGas.class, "getMolarMass", "setMolarMass" ); // NOI18N
            properties[PROPERTY_pressure] = new PropertyDescriptor ( "pressure", physbeans.phys.PerfectGas.class, "getPressure", "setPressure" ); // NOI18N
            properties[PROPERTY_s0] = new PropertyDescriptor ( "s0", physbeans.phys.PerfectGas.class, "getS0", "setS0" ); // NOI18N
            properties[PROPERTY_technicalWork] = new PropertyDescriptor ( "technicalWork", physbeans.phys.PerfectGas.class, "getTechnicalWork", null ); // NOI18N
            properties[PROPERTY_technicalWork].setHidden ( true );
            properties[PROPERTY_temperature] = new PropertyDescriptor ( "temperature", physbeans.phys.PerfectGas.class, "getTemperature", null ); // NOI18N
            properties[PROPERTY_temperature].setHidden ( true );
            properties[PROPERTY_u0] = new PropertyDescriptor ( "u0", physbeans.phys.PerfectGas.class, "getU0", "setU0" ); // NOI18N
            properties[PROPERTY_volume] = new PropertyDescriptor ( "volume", physbeans.phys.PerfectGas.class, "getVolume", "setVolume" ); // NOI18N
            properties[PROPERTY_work] = new PropertyDescriptor ( "work", physbeans.phys.PerfectGas.class, "getWork", null ); // NOI18N
            properties[PROPERTY_work].setHidden ( true );
        }
        catch(IntrospectionException e) {
            e.printStackTrace();
        }//GEN-HEADEREND:Properties
    
    // Here you can add code for customizing the properties array.
    
        return properties;     }//GEN-LAST:Properties
  
    // EventSet identifiers//GEN-FIRST:Events
    private static final int EVENT_triggerListener = 0;

    // EventSet array
    /*lazy EventSetDescriptor*/
    private static EventSetDescriptor[] getEdescriptor(){
        EventSetDescriptor[] eventSets = new EventSetDescriptor[1];
    
        try {
            eventSets[EVENT_triggerListener] = new EventSetDescriptor ( physbeans.phys.PerfectGas.class, "triggerListener", physbeans.event.TriggerListener.class, new String[] {"sourceChanged"}, "addTriggerListener", "removeTriggerListener" ); // NOI18N
        }
        catch(IntrospectionException e) {
            e.printStackTrace();
        }//GEN-HEADEREND:Events
    
    // Here you can add code for customizing the event sets array.
    
        return eventSets;     }//GEN-LAST:Events
  
    // Method identifiers//GEN-FIRST:Methods
    private static final int METHOD_changeState0 = 0;
    private static final int METHOD_getStateValue1 = 1;
    private static final int METHOD_restart2 = 2;
    private static final int METHOD_trigger3 = 3;

    // Method array 
    /*lazy MethodDescriptor*/
    private static MethodDescriptor[] getMdescriptor(){
        MethodDescriptor[] methods = new MethodDescriptor[4];
    
        try {
            methods[METHOD_changeState0] = new MethodDescriptor ( physbeans.phys.PerfectGas.class.getMethod("changeState", new Class[] {Double.TYPE, physbeans.phys.ThermodynamicStateVariable.class, Double.TYPE})); // NOI18N
            methods[METHOD_changeState0].setDisplayName ( "" );
            methods[METHOD_getStateValue1] = new MethodDescriptor ( physbeans.phys.PerfectGas.class.getMethod("getStateValue", new Class[] {physbeans.phys.ThermodynamicStateVariable.class})); // NOI18N
            methods[METHOD_getStateValue1].setDisplayName ( "" );
            methods[METHOD_restart2] = new MethodDescriptor ( physbeans.phys.PerfectGas.class.getMethod("restart", new Class[] {})); // NOI18N
            methods[METHOD_restart2].setDisplayName ( "" );
            methods[METHOD_trigger3] = new MethodDescriptor ( physbeans.phys.PerfectGas.class.getMethod("trigger", new Class[] {})); // NOI18N
            methods[METHOD_trigger3].setDisplayName ( "" );
        }
        catch( Exception e) {}//GEN-HEADEREND:Methods
    
    // Here you can add code for customizing the methods array.
    
        return methods;     }//GEN-LAST:Methods
  
  private static java.awt.Image iconColor16 = null;//GEN-BEGIN:IconsDef
  private static java.awt.Image iconColor32 = null;
  private static java.awt.Image iconMono16 = null;
  private static java.awt.Image iconMono32 = null;//GEN-END:IconsDef
    private static String iconNameC16 = "/physbeans/resources/PerfectGas16.gif";//GEN-BEGIN:Icons
    private static String iconNameC32 = null;
    private static String iconNameM16 = null;
    private static String iconNameM32 = null;//GEN-END:Icons
  
    private static final int defaultPropertyIndex = -1;//GEN-BEGIN:Idx
    private static final int defaultEventIndex = -1;//GEN-END:Idx
  
  
//GEN-FIRST:Superclass
  
  // Here you can add code for customizing the Superclass BeanInfo.
  
//GEN-LAST:Superclass
  
  /**
   * Gets the bean's <code>BeanDescriptor</code>s.
   *
   * @return BeanDescriptor describing the editable
   * properties of this bean.  May return null if the
   * information should be obtained by automatic analysis.
   */
  public BeanDescriptor getBeanDescriptor() {
    return getBdescriptor();
  }
  
  /**
   * Gets the bean's <code>PropertyDescriptor</code>s.
   *
   * @return An array of PropertyDescriptors describing the editable
   * properties supported by this bean.  May return null if the
   * information should be obtained by automatic analysis.
   * <p>
   * If a property is indexed, then its entry in the result array will
   * belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor.
   * A client of getPropertyDescriptors can use "instanceof" to check
   * if a given PropertyDescriptor is an IndexedPropertyDescriptor.
   */
  public PropertyDescriptor[] getPropertyDescriptors() {
    return getPdescriptor();
  }
  
  /**
   * Gets the bean's <code>EventSetDescriptor</code>s.
   *
   * @return  An array of EventSetDescriptors describing the kinds of
   * events fired by this bean.  May return null if the information
   * should be obtained by automatic analysis.
   */
  public EventSetDescriptor[] getEventSetDescriptors() {
    return getEdescriptor();
  }
  
  /**
   * Gets the bean's <code>MethodDescriptor</code>s.
   *
   * @return  An array of MethodDescriptors describing the methods
   * implemented by this bean.  May return null if the information
   * should be obtained by automatic analysis.
   */
  public MethodDescriptor[] getMethodDescriptors() {
    return getMdescriptor();
  }
  
  /**
   * A bean may have a "default" property that is the property that will
   * mostly commonly be initially chosen for update by human's who are
   * customizing the bean.
   * @return  Index of default property in the PropertyDescriptor array
   * 		returned by getPropertyDescriptors.
   * <P>	Returns -1 if there is no default property.
   */
  public int getDefaultPropertyIndex() {
    return defaultPropertyIndex;
  }
  
  /**
   * A bean may have a "default" event that is the event that will
   * mostly commonly be used by human's when using the bean.
   * @return Index of default event in the EventSetDescriptor array
   *		returned by getEventSetDescriptors.
   * <P>	Returns -1 if there is no default event.
   */
  public int getDefaultEventIndex() {
    return defaultEventIndex;
  }
  
  /**
   * This method returns an image object that can be used to
   * represent the bean in toolboxes, toolbars, etc.   Icon images
   * will typically be GIFs, but may in future include other formats.
   * <p>
   * Beans aren't required to provide icons and may return null from
   * this method.
   * <p>
   * There are four possible flavors of icons (16x16 color,
   * 32x32 color, 16x16 mono, 32x32 mono).  If a bean choses to only
   * support a single icon we recommend supporting 16x16 color.
   * <p>
   * We recommend that icons have a "transparent" background
   * so they can be rendered onto an existing background.
   *
   * @param  iconKind  The kind of icon requested.  This should be
   *    one of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32,
   *    ICON_MONO_16x16, or ICON_MONO_32x32.
   * @return  An image object representing the requested icon.  May
   *    return null if no suitable icon is available.
   */
  public java.awt.Image getIcon(int iconKind) {
    switch ( iconKind ) {
      case ICON_COLOR_16x16:
        if ( iconNameC16 == null )
          return null;
        else {
          if( iconColor16 == null )
            iconColor16 = loadImage( iconNameC16 );
          return iconColor16;
        }
      case ICON_COLOR_32x32:
        if ( iconNameC32 == null )
          return null;
        else {
          if( iconColor32 == null )
            iconColor32 = loadImage( iconNameC32 );
          return iconColor32;
        }
      case ICON_MONO_16x16:
        if ( iconNameM16 == null )
          return null;
        else {
          if( iconMono16 == null )
            iconMono16 = loadImage( iconNameM16 );
          return iconMono16;
        }
      case ICON_MONO_32x32:
        if ( iconNameM32 == null )
          return null;
        else {
          if( iconMono32 == null )
            iconMono32 = loadImage( iconNameM32 );
          return iconMono32;
        }
      default: return null;
    }
  }
  
}

