/*
 * TwoSpringsBeanInfo.java
 *
 * Created on 22. Dezember 2004, 08:40
 */

package physbeans.phys;

import java.beans.*;

/**
 * @author peter
 */
public class TwoSpringsBeanInfo extends SimpleBeanInfo {
  
    // Bean descriptor//GEN-FIRST:BeanDescriptor
    /*lazy BeanDescriptor*/
    private static BeanDescriptor getBdescriptor(){
        BeanDescriptor beanDescriptor = new BeanDescriptor  ( physbeans.phys.TwoSprings.class , null ); // NOI18N//GEN-HEADEREND:BeanDescriptor
        
        // Here you can add code for customizing the BeanDescriptor.
        
        return beanDescriptor;     }//GEN-LAST:BeanDescriptor
    
    
    // Property identifiers//GEN-FIRST:Properties
    private static final int PROPERTY_absoluteTolerance = 0;
    private static final int PROPERTY_autoTriggered = 1;
    private static final int PROPERTY_b11 = 2;
    private static final int PROPERTY_b12 = 3;
    private static final int PROPERTY_b22 = 4;
    private static final int PROPERTY_c11 = 5;
    private static final int PROPERTY_c12 = 6;
    private static final int PROPERTY_c22 = 7;
    private static final int PROPERTY_m1 = 8;
    private static final int PROPERTY_m2 = 9;
    private static final int PROPERTY_outputVector = 10;
    private static final int PROPERTY_time = 11;
    private static final int PROPERTY_v0 = 12;
    private static final int PROPERTY_x0 = 13;

    // Property array 
    /*lazy PropertyDescriptor*/
    private static PropertyDescriptor[] getPdescriptor(){
        PropertyDescriptor[] properties = new PropertyDescriptor[14];
    
        try {
            properties[PROPERTY_absoluteTolerance] = new PropertyDescriptor ( "absoluteTolerance", physbeans.phys.TwoSprings.class, "getAbsoluteTolerance", "setAbsoluteTolerance" ); // NOI18N
            properties[PROPERTY_autoTriggered] = new PropertyDescriptor ( "autoTriggered", physbeans.phys.TwoSprings.class, "isAutoTriggered", "setAutoTriggered" ); // NOI18N
            properties[PROPERTY_b11] = new PropertyDescriptor ( "b11", physbeans.phys.TwoSprings.class, "getB11", "setB11" ); // NOI18N
            properties[PROPERTY_b12] = new PropertyDescriptor ( "b12", physbeans.phys.TwoSprings.class, "getB12", "setB12" ); // NOI18N
            properties[PROPERTY_b22] = new PropertyDescriptor ( "b22", physbeans.phys.TwoSprings.class, "getB22", "setB22" ); // NOI18N
            properties[PROPERTY_c11] = new PropertyDescriptor ( "c11", physbeans.phys.TwoSprings.class, "getC11", "setC11" ); // NOI18N
            properties[PROPERTY_c12] = new PropertyDescriptor ( "c12", physbeans.phys.TwoSprings.class, "getC12", "setC12" ); // NOI18N
            properties[PROPERTY_c22] = new PropertyDescriptor ( "c22", physbeans.phys.TwoSprings.class, "getC22", "setC22" ); // NOI18N
            properties[PROPERTY_m1] = new PropertyDescriptor ( "m1", physbeans.phys.TwoSprings.class, "getM1", "setM1" ); // NOI18N
            properties[PROPERTY_m2] = new PropertyDescriptor ( "m2", physbeans.phys.TwoSprings.class, "getM2", "setM2" ); // NOI18N
            properties[PROPERTY_outputVector] = new PropertyDescriptor ( "outputVector", physbeans.phys.TwoSprings.class, "getOutputVector", null ); // NOI18N
            properties[PROPERTY_outputVector].setHidden ( true );
            properties[PROPERTY_time] = new PropertyDescriptor ( "time", physbeans.phys.TwoSprings.class, null, "setTime" ); // NOI18N
            properties[PROPERTY_time].setHidden ( true );
            properties[PROPERTY_v0] = new PropertyDescriptor ( "v0", physbeans.phys.TwoSprings.class, "getV0", "setV0" ); // NOI18N
            properties[PROPERTY_v0].setPropertyEditorClass ( physbeans.editors.DVectorEditor.class );
            properties[PROPERTY_x0] = new PropertyDescriptor ( "x0", physbeans.phys.TwoSprings.class, "getX0", "setX0" ); // NOI18N
            properties[PROPERTY_x0].setPropertyEditorClass ( physbeans.editors.DVectorEditor.class );
        }
        catch(IntrospectionException e) {
            e.printStackTrace();
        }//GEN-HEADEREND:Properties
        
        // Here you can add code for customizing the properties array.
        
        return properties;     }//GEN-LAST:Properties
    
    // EventSet identifiers//GEN-FIRST:Events
    private static final int EVENT_vectorListener = 0;

    // EventSet array
    /*lazy EventSetDescriptor*/
    private static EventSetDescriptor[] getEdescriptor(){
        EventSetDescriptor[] eventSets = new EventSetDescriptor[1];
    
        try {
            eventSets[EVENT_vectorListener] = new EventSetDescriptor ( physbeans.phys.TwoSprings.class, "vectorListener", physbeans.event.VectorListener.class, new String[] {"valueChanged"}, "addVectorListener", "removeVectorListener" ); // NOI18N
        }
        catch(IntrospectionException e) {
            e.printStackTrace();
        }//GEN-HEADEREND:Events
        
        // Here you can add code for customizing the event sets array.
        
        return eventSets;     }//GEN-LAST:Events
    
    // Method identifiers//GEN-FIRST:Methods
    private static final int METHOD_restart0 = 0;
    private static final int METHOD_trigger1 = 1;

    // Method array 
    /*lazy MethodDescriptor*/
    private static MethodDescriptor[] getMdescriptor(){
        MethodDescriptor[] methods = new MethodDescriptor[2];
    
        try {
            methods[METHOD_restart0] = new MethodDescriptor ( physbeans.phys.TwoSprings.class.getMethod("restart", new Class[] {})); // NOI18N
            methods[METHOD_restart0].setDisplayName ( "" );
            methods[METHOD_trigger1] = new MethodDescriptor ( physbeans.phys.TwoSprings.class.getMethod("trigger", new Class[] {})); // NOI18N
            methods[METHOD_trigger1].setDisplayName ( "" );
        }
        catch( Exception e) {}//GEN-HEADEREND:Methods
        
        // PJ: added manually to include setInitialValue(int index, double value)
        int length = methods.length;
        MethodDescriptor[] methodsNew = new MethodDescriptor[length + 1];
        for (int i = 0; i < length; i++) {
          methodsNew[i] = methods[i];
        }
        
        try {
          methodsNew[length] = new MethodDescriptor(physbeans.phys.TwoSprings.class.getMethod( "setInitialValue", new Class[] {Integer.TYPE, Double.TYPE})); // NOI18N
          methodsNew[length].setDisplayName( "" );
        } catch( Exception e) {}
        
        methods = methodsNew;
        
        return methods;     }//GEN-LAST:Methods
    
  private static java.awt.Image iconColor16 = null;//GEN-BEGIN:IconsDef
  private static java.awt.Image iconColor32 = null;
  private static java.awt.Image iconMono16 = null;
  private static java.awt.Image iconMono32 = null;//GEN-END:IconsDef
    private static String iconNameC16 = "/physbeans/resources/TwoSprings16.gif";//GEN-BEGIN:Icons
    private static String iconNameC32 = null;
    private static String iconNameM16 = null;
    private static String iconNameM32 = null;//GEN-END:Icons
    
    private static final int defaultPropertyIndex = -1;//GEN-BEGIN:Idx
    private static final int defaultEventIndex = -1;//GEN-END:Idx
    
    
//GEN-FIRST:Superclass
    
    // Here you can add code for customizing the Superclass BeanInfo.
    
//GEN-LAST:Superclass
    
    /**
     * Gets the bean's <code>BeanDescriptor</code>s.
     *
     * @return BeanDescriptor describing the editable
     * properties of this bean.  May return null if the
     * information should be obtained by automatic analysis.
     */
    public BeanDescriptor getBeanDescriptor() {
      return getBdescriptor();
    }
    
    /**
     * Gets the bean's <code>PropertyDescriptor</code>s.
     *
     * @return An array of PropertyDescriptors describing the editable
     * properties supported by this bean.  May return null if the
     * information should be obtained by automatic analysis.
     * <p>
     * If a property is indexed, then its entry in the result array will
     * belong to the IndexedPropertyDescriptor subclass of PropertyDescriptor.
     * A client of getPropertyDescriptors can use "instanceof" to check
     * if a given PropertyDescriptor is an IndexedPropertyDescriptor.
     */
    public PropertyDescriptor[] getPropertyDescriptors() {
      return getPdescriptor();
    }
    
    /**
     * Gets the bean's <code>EventSetDescriptor</code>s.
     *
     * @return  An array of EventSetDescriptors describing the kinds of
     * events fired by this bean.  May return null if the information
     * should be obtained by automatic analysis.
     */
    public EventSetDescriptor[] getEventSetDescriptors() {
      return getEdescriptor();
    }
    
    /**
     * Gets the bean's <code>MethodDescriptor</code>s.
     *
     * @return  An array of MethodDescriptors describing the methods
     * implemented by this bean.  May return null if the information
     * should be obtained by automatic analysis.
     */
    public MethodDescriptor[] getMethodDescriptors() {
      return getMdescriptor();
    }
    
    /**
     * A bean may have a "default" property that is the property that will
     * mostly commonly be initially chosen for update by human's who are
     * customizing the bean.
     * @return  Index of default property in the PropertyDescriptor array
     * 		returned by getPropertyDescriptors.
     * <P>	Returns -1 if there is no default property.
     */
    public int getDefaultPropertyIndex() {
      return defaultPropertyIndex;
    }
    
    /**
     * A bean may have a "default" event that is the event that will
     * mostly commonly be used by human's when using the bean.
     * @return Index of default event in the EventSetDescriptor array
     *		returned by getEventSetDescriptors.
     * <P>	Returns -1 if there is no default event.
     */
    public int getDefaultEventIndex() {
      return defaultEventIndex;
    }
    
    /**
     * This method returns an image object that can be used to
     * represent the bean in toolboxes, toolbars, etc.   Icon images
     * will typically be GIFs, but may in future include other formats.
     * <p>
     * Beans aren't required to provide icons and may return null from
     * this method.
     * <p>
     * There are four possible flavors of icons (16x16 color,
     * 32x32 color, 16x16 mono, 32x32 mono).  If a bean choses to only
     * support a single icon we recommend supporting 16x16 color.
     * <p>
     * We recommend that icons have a "transparent" background
     * so they can be rendered onto an existing background.
     *
     * @param  iconKind  The kind of icon requested.  This should be
     *    one of the constant values ICON_COLOR_16x16, ICON_COLOR_32x32,
     *    ICON_MONO_16x16, or ICON_MONO_32x32.
     * @return  An image object representing the requested icon.  May
     *    return null if no suitable icon is available.
     */
    public java.awt.Image getIcon(int iconKind) {
      switch ( iconKind ) {
        case ICON_COLOR_16x16:
          if ( iconNameC16 == null )
            return null;
          else {
            if( iconColor16 == null )
              iconColor16 = loadImage( iconNameC16 );
            return iconColor16;
          }
        case ICON_COLOR_32x32:
          if ( iconNameC32 == null )
            return null;
          else {
            if( iconColor32 == null )
              iconColor32 = loadImage( iconNameC32 );
            return iconColor32;
          }
        case ICON_MONO_16x16:
          if ( iconNameM16 == null )
            return null;
          else {
            if( iconMono16 == null )
              iconMono16 = loadImage( iconNameM16 );
            return iconMono16;
          }
        case ICON_MONO_32x32:
          if ( iconNameM32 == null )
            return null;
          else {
            if( iconMono32 == null )
              iconMono32 = loadImage( iconNameM32 );
            return iconMono32;
          }
        default: return null;
      }
    }
    
}

